# Trait io_lifetimes::IntoSocketlike

source · [−]

    pub trait IntoSocketlike: Into<OwnedFd> {
        fn into_socketlike(self) -> OwnedSocketlike;
    }

Expand description

A portable trait to express the ability to consume an object and acquire ownership of its socketlike object.

This is a portability abstraction over Unix-like `Into<OwnedFd>` and Windows’ `Into<OwnedSocket>`.

## Required Methods

source

#### fn into_socketlike(self) -> OwnedSocketlike

Consumes this object, returning the underlying socketlike object.

## Implementors

source

### impl<T: Into<OwnedFd>> IntoSocketlike for T